package binary_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type BinaryBatchCancelRequest struct {
	// <ext>core:true</ext> 【作废的数据签名】作废的数据签名
	DataSignList []*common.BinaryBatchCancelDataSignListRequest `json:"dataSignList"`
	Operator     *common.NameUserInfoRequest                    `json:"operator"`
}

func (obj BinaryBatchCancelRequest) GetUrl() string {
	return "/binary/batch/cancel"
}

func (obj BinaryBatchCancelRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
